iCalendlyDeveloper Docs
Event types

GETGet an event type

Retrieves the details of a specific event type.

GET/v2/event-types/{eventTypeId}

Path Parameters

eventTypeIdRequiredstring

Header Parameters

ical-api-versionRequiredstring

Must be set to 2024-06-14. If not set to this value, the endpoint will default to an older version.

Default: "2024-06-14"
AuthorizationRequiredstring

value must be Bearer <token> where <token> is api key prefixed with cal_ or managed user access token

curl -X GET "https://example.com/v2/event-types/<string>" \
  -H "ical-api-version: 2024-06-14" \
  -H "Authorization: <string>"

{
  "status": "success",
  "data": {
    "id": 1,
    "lengthInMinutes": 60,
    "lengthInMinutesOptions": [
      15,
      30,
      60
    ],
    "title": "Learn the secrets of masterchief!",
    "slug": "learn-the-secrets-of-masterchief",
    "description": "Discover the culinary wonders of Argentina by making the best flan ever!",
    "locations": [
      {
        "type": "address",
        "address": "123 Example St, City, Country",
        "public": true
      }
    ],
    "bookingFields": [
      {
        "type": "name",
        "label": "string",
        "placeholder": "string",
        "disableOnPrefill": true,
        "isDefault": true,
        "slug": "name",
        "required": true
      }
    ],
    "disableGuests": true,
    "slotInterval": 60,
    "minimumBookingNotice": 0,
    "beforeEventBuffer": 0,
    "afterEventBuffer": 0,
    "recurrence": {
      "interval": 10,
      "occurrences": 10,
      "frequency": "yearly"
    },
    "metadata": {},
    "price": 0,
    "currency": "string",
    "lockTimeZoneToggleOnBookingPage": true,
    "seatsPerTimeSlot": {},
    "forwardParamsSuccessRedirect": {},
    "successRedirectUrl": {},
    "isInstantEvent": true,
    "seatsShowAvailabilityCount": true,
    "scheduleId": 0,
    "bookingLimitsCount": {},
    "bookerActiveBookingsLimit": {
      "maximumActiveBookings": 3,
      "offerReschedule": true
    },
    "onlyShowFirstAvailableSlot": true,
    "bookingLimitsDuration": {},
    "bookingWindow": [
      {
        "type": "businessDays",
        "value": 5,
        "rolling": true
      }
    ],
    "bookerLayouts": {
      "defaultLayout": "month",
      "enabledLayouts": [
        "month"
      ]
    },
    "confirmationPolicy": {},
    "requiresBookerEmailVerification": true,
    "hideCalendarNotes": true,
    "color": {
      "lightThemeHex": "#292929",
      "darkThemeHex": "#fafafa"
    },
    "seats": {
      "seatsPerTimeSlot": 4,
      "showAttendeeInfo": true,
      "showAvailabilityCount": true
    },
    "offsetStart": 0,
    "customName": "string",
    "destinationCalendar": {
      "integration": "string",
      "externalId": "string"
    },
    "useDestinationCalendarEmail": true,
    "hideCalendarEventDetails": true,
    "hideOrganizerEmail": true,
    "calVideoSettings": {
      "disableRecordingForOrganizer": true,
      "disableRecordingForGuests": true,
      "redirectUrlOnExit": {},
      "enableAutomaticRecordingForOrganizer": true,
      "enableAutomaticTranscription": true,
      "disableTranscriptionForGuests": true,
      "disableTranscriptionForOrganizer": true,
      "sendTranscriptionEmails": true
    },
    "hidden": true,
    "bookingRequiresAuthentication": true,
    "disableCancelling": {
      "disabled": true
    },
    "disableRescheduling": {
      "disabled": true,
      "minutesBefore": 60
    },
    "interfaceLanguage": "string",
    "allowReschedulingPastBookings": true,
    "allowReschedulingCancelledBookings": true,
    "showOptimizedSlots": true,
    "ownerId": 10,
    "users": [
      "string"
    ],
    "bookingUrl": "https://cal.com/john-doe/30min"
  }
}